/*
 * MC 302 - Programacao Orientada a Objetos
 * PED 2016.1 - Mrcio Saraiva
 * Aula: Reflexo
 */

// Exemplo 3: Criar objetos de uma instncia de Classe

package reflexao;

import java.lang.reflect.Method;
import java.util.ArrayList;
import java.util.List;

public class Exemplo3 {

	public static void main(String[] args){
		
		//criando uma instancia de "Class"
		Class c = null;
		try{
			c=Class.forName("reflexao.Cantor"); //imagine que voce viu que a classe do obj era Cantor
		}catch(Exception e){
			e.printStackTrace();
		}
 
		//criando uma instancia de "Cantor"
		Cantor bruno = null;
		Cantor marrone = null;
 
		try {
			bruno = (Cantor) c.newInstance();
			marrone = (Cantor) c.newInstance();
		} catch (Exception e) {
			e.printStackTrace();
		}	
		
		bruno.setMusica("Seu Guarda eu nao sou vagabundo...");
		marrone.setMusica("...");
		
		bruno.canta();
		
		marrone.canta();
		
	}
	
}	 



