/*
 * MC 302 - Programacao Orientada a Objetos
 * PED 2016.1 - Mrcio Saraiva
 * Aula: Reflexo
 */

// Exemplo 4: Obter construtor e criar instancia

package reflexao;

import java.lang.reflect.Constructor;


public class Exemplo4 {

	public static void main(String[] args){
		//criando instancia de uma "Class"
		Class c = null;
		try{
			c=Class.forName("reflexao.Cantor");  //imagine que voce viu que a classe do obj era Cantor
		}catch(Exception e){
			e.printStackTrace();
		}
 
		//criando instancias de "Cantor"
		Cantor bruno = null;
		Cantor marrone = null;
 
		//pega todos os contrutores
		Constructor<?> cons[] = c.getConstructors();
		
 
		try {
			marrone = (Cantor) cons[0].newInstance();
			bruno = (Cantor) cons[1].newInstance("Seu Guarda eu nao sou vagabundo");
		} catch (Exception e) {
			e.printStackTrace();
		}	
 
		bruno.canta();
		marrone.canta();
	}
	
}	 



