/*
 * MC 302 - Programacao Orientada a Objetos
 * PED 2016.1 - Mrcio Saraiva
 * Aula: Reflexo
 */

// Exemplo 6: Acessar atributos privados

package reflexao;

import java.lang.reflect.Array;
import java.lang.reflect.Field;



public class Exemplo6 {

	public static void main(String[] args) throws Exception{
		Cantor xandinho = new Cantor("Martela Riquelme! Tugudugudu");
		
		Field[] fields = Cantor.class.getDeclaredFields();
		
		//listando atributos da classe
		for(int i =0;i<fields.length;i++)
			System.out.println(fields[i].getName());

		System.out.println();
		
		//copiando atributo "secredo"
		Field privateStringField = Cantor.class.getDeclaredField("segredo");

		//trocando a visibilidade do atributo
		privateStringField.setAccessible(true);

		String fieldValue = (String) privateStringField.get(xandinho);
		System.out.println("fieldValue = " + fieldValue);
		
		xandinho.setSegredo("Eu tenho medo de Avioes");
		
		fieldValue = (String) privateStringField.get(xandinho);
		
		System.out.println("Novo fieldValue = " + fieldValue);
		
	}
}	 



