/*
 * MC 302 - Programacao Orientada a Objetos
 * PED 2016.1 - Mrcio Saraiva
 * Aula: Reflexo
 */

// Exemplo 2: Invocar o metodo de um objeto desconhecido

package reflexao;

import java.lang.reflect.Method;
import java.util.ArrayList;
import java.util.List;

public class Exemplo2 {

	public static void main(String[] args){
		
		Cantor wesley = new Cantor();
 
		List<String> metodos = new ArrayList();
		
		Method[] methods = Cantor.class.getMethods();

		for(Method method : methods){
		    metodos.add(method.getName());
		}
		
		Method method;
		
		try {
			method = wesley.getClass().getMethod(metodos.get(2));
			method.invoke(wesley);
		} catch (Exception e) {
			e.printStackTrace();
		}			
	}
	
}	 


