/*
 * MC 302 - Programacao Orientada a Objetos
 * PED 2016.1 - Mrcio Saraiva
 * Aula: Reflexo
 */

// Exemplo 5: Alterar o tamanho de um Array atravs da reflexo

package reflexao;

import java.lang.reflect.Array;



public class Exemplo5 {

	public static void main(String[] args) {
		
		int[] intArray = { 1, 2, 3, 4, 5 };
		int[] newIntArray = (int[]) changeArraySize(intArray, 10);
		print(newIntArray);
 
		String[] atr = { "a", "b", "c", "d", "e" };
		String[] str1 = (String[]) changeArraySize(atr, 10);
		print(str1);
	}
 
	// mudando o tamanho do array
	public static Object changeArraySize(Object obj, int len) {
		Class arr = obj.getClass().getComponentType();
		Object newArray = Array.newInstance(arr, len);
 
		//copiando array
		int co = Array.getLength(obj);
		System.arraycopy(obj, 0, newArray, 0, co);
		return newArray;
	}
 
	// imprimindo
	public static void print(Object obj) {
		Class c = obj.getClass();
		if (!c.isArray()) {
			return;
		}
 
		System.out.println("\nArray length: " + Array.getLength(obj));
 
		for (int i = 0; i < Array.getLength(obj); i++) {
			System.out.print(Array.get(obj, i) + " ");
		}
		System.out.println();
	}	
}	 



